| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::SceneManagerFactory Class Referenceabstract
Core » Scene

Class which will create instances of a given SceneManager. More...

`#include <OgreSceneManager.h>`

Inheritance diagram for Ogre::SceneManagerFactory:
[legend]

## Public Member Functions
| SceneManagerFactory ()
virtual | ~SceneManagerFactory ()
virtual SceneManager * | createInstance (const String &instanceName)=0
| Create a new instance of a SceneManager. More...
virtual void | destroyInstance (SceneManager *instance)=0
| Destroy an instance of a SceneManager. More...
virtual const SceneManagerMetaData & | getMetaData (void) const
| Get information about the SceneManager type created by this factory. More...

## Detailed Description

Class which will create instances of a given SceneManager.

## Constructor & Destructor Documentation

## ◆ SceneManagerFactory()

Ogre::SceneManagerFactory::SceneManagerFactory | ( |  | ) |
| inline

## ◆ ~SceneManagerFactory()

virtual Ogre::SceneManagerFactory::~SceneManagerFactory | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ getMetaData()

virtual const SceneManagerMetaData& Ogre::SceneManagerFactory::getMetaData | ( | void |  | ) | const
| inline virtual

Get information about the SceneManager type created by this factory.

## ◆ createInstance()

virtual SceneManager* Ogre::SceneManagerFactory::createInstance | ( | const String & | instanceName | ) |
| pure virtual

Create a new instance of a SceneManager.

Remarks
  Don't call directly, use SceneManagerEnumerator::createSceneManager.

Implemented in Ogre::PCZSceneManagerFactory, Ogre::BspSceneManagerFactory, Ogre::OctreeSceneManagerFactory, and Ogre::DefaultSceneManagerFactory.

## ◆ destroyInstance()

virtual void Ogre::SceneManagerFactory::destroyInstance | ( | SceneManager * | instance | ) |
| pure virtual

Destroy an instance of a SceneManager.

Implemented in Ogre::PCZSceneManagerFactory, Ogre::BspSceneManagerFactory, Ogre::OctreeSceneManagerFactory, and Ogre::DefaultSceneManagerFactory.

The documentation for this class was generated from the following file:

- OgreSceneManager.h